<?
if(!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED!==true) die();

/*************************************************************************
	Processing of received parameters
*************************************************************************/
if(!isset($arParams["CACHE_TIME"]))
	$arParams["CACHE_TIME"] = 3600;

$arParams["IBLOCK_TYPE"] = trim($arParams["IBLOCK_TYPE"]);
$arParams["IBLOCK_ID"] = intval($arParams["IBLOCK_ID"]);

$arResult["ELEMENTS"] = array();
$arResult["SECTIONS"] = array();
$arResult["SECTIONS"][] = array(
	'ID' => 0,
	'DEPTH_LEVEL' => 0,
	'NAME' => '/'
);

/*************************************************************************
			Work with cache
*************************************************************************/
	if(!CModule::IncludeModule("iblock"))
	{
		ShowError(GetMessage("IBLOCK_MODULE_NOT_INSTALLED"));
		return;
	}

	$Perm = CIBlock::GetPermission($IBLOCK_ID);
	if ($Perm < 'R')
	{
		ShowError('Нет прав на чтение инфоблока');
		return;
	}

	$arFilter = array(
		"ACTIVE" => "Y",
		"IBLOCK_ID" => $arParams["IBLOCK_ID"],
	);

	$arResult["SECTION"] = false;

	//ORDER BY
	$arSort = array(
		"left_margin"=>"asc",
	);
	//EXECUTE
	$rsSections = CIBlockSection::GetList($arSort, $arFilter);
	while($arSection = $rsSections->GetNext())
	{
		$arResult["SECTIONS"][] = $arSection;
	}

	if ($arParams['SHOW_ELEMENTS'] == 'Y')
	{
	/*
		$arFilter = array(
			"ACTIVE" => "Y",
			"IBLOCK_ID" => $arParams["IBLOCK_ID"],
		);
		$rs = CIBlockElement::GetList(array('sort'=>'asc'),$arFilter,false,false,array('ID','IBLOCK_ID','IBLOCK_SECTION_ID','NAME'));
		while($f = $rs->GetNext())
		{
			$arResult['ELEMENTS'][$f['IBLOCK_SECTION_ID']][] = $f;
		}
	*/
		$rs = $DB->Query('
			SELECT 
				e.ID AS ID
				,e.NAME AS NAME 
				,se.IBLOCK_SECTION_ID AS IBLOCK_SECTION_ID
			FROM 
				b_iblock_section_element se, b_iblock_element e 
			WHERE 
				e.IBLOCK_ID='.intval($arParams['IBLOCK_ID']).'
				AND e.ACTIVE = "Y"
				AND e.ID = se.IBLOCK_ELEMENT_ID
			ORDER BY e.SORT ASC
		');
		while($f = $rs->GetNext())
		{
			$arResult['ELEMENTS'][$f['IBLOCK_SECTION_ID']][] = $f;
		}
	}
	$this->IncludeComponentTemplate();
?>
