<?if(!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED!==true)die();?>
<?
	CAjax::Init();
?>
<script>
	var inMove = 0;
	var inMoveElem = false;

	function SetMove(id, elem)
	{
		if (inMove > 0)
			return;

		ob_id = (elem ? 'elem_' : 'div_') + id;
		if(ob = document.getElementById(ob_id))
		{
			ob.style.backgroundColor = '#EE9';
		}

		inMove = id;
		inMoveElem = elem; // двигаем элемент
	}

	function SetNoMove()
	{
		ob_id = (inMoveElem ? 'elem_' : 'div_') + inMove;
		if (ob = document.getElementById(ob_id))
		{
			ob.style.backgroundColor = '';
		}
		inMove = 0;
	}

	function HighLight(id,i)
	{
		if (inMove == 0 && (ob = document.getElementById('div_' + id)))
		{
			ob.style.backgroundColor = i ? '#EEE' : '';
		}
	}

	function Attach(id, elem)
	{
		if (inMove > 0) // если что-то в движении (элем или секция)
		{
			if (inMove == id)
				return SetNoMove();

			if (elem) // элем аттачим к элему
				return;
			
			if (inMoveElem)
			{
				ajaxSend('target=element&action=move&IBLOCK_ID=<?=$arParams['IBLOCK_ID']?>&element_id=' + inMove + '&section_id=' + id);
			}
			else
			{
				if (id != inMove)
					ajaxSend('action=move&IBLOCK_ID=<?=$arParams['IBLOCK_ID']?>&section_id=' + inMove + '&parent=' + id);
			}
			SetNoMove();
		}
		else
			SetMove(id, elem);
	}

	function funcDelete(id)
	{
		if (confirm('Удалить раздел со всеми элементами?'))
		{
			ajaxSend('action=delete&IBLOCK_ID=<?=$arParams['IBLOCK_ID']?>&section_id=' + id);
		}
	}

	function funcNew(id)
	{
		if (name = window.prompt('Название нового раздела'))
		{
			ajaxSend('action=new&IBLOCK_ID=<?=$arParams['IBLOCK_ID']?>&section_id=' + id + '&name=' + name);
		}
	}

	function funcEdit(id)
	{
		curName = document.getElementById('span_' + id).title;
		if (name = window.prompt('Изменение раздела', curName))
		{
			if (curName != name)
				ajaxSend('action=edit&IBLOCK_ID=<?=$arParams['IBLOCK_ID']?>&section_id=' + id + '&name=' + name);
		}
	}

	var xml;
	function ajaxSend(params)
	{
		xml = jsAjax.InitThread();
		document.getElementById('div_0').style.backgroundColor = '#FEE';

		jsAjax.AddAction(xml, 
			function (result)
			{
				document.getElementById('div_0').style.backgroundColor = '';

				if (result.length > 0)
				{
					try 
					{
						eval(result);
					} 
					catch ($e) 
					{
						alert(result);
					}
				}
			}
		);
		jsAjax.Send(xml, '<?=$component->__path ?>/ajax_action.php?<?=bitrix_sessid_get()?>&' + params);
	}
</script>

<table><tr><td>
<?
$CURRENT_DEPTH = 0;
foreach($arResult["SECTIONS"] as $arSection)
{
	if($CURRENT_DEPTH >= $arSection["DEPTH_LEVEL"])
		echo str_repeat("</div>", 1 + $CURRENT_DEPTH - $arSection["DEPTH_LEVEL"]);

	$CURRENT_DEPTH = $arSection["DEPTH_LEVEL"];
	$id = $arSection['ID'];

	echo "\n".'<div class="section" id="div_'.$id.'">
		<span style="cursor:crosshair" onMouseOver="HighLight('.$id.',1)" onMouseOut=HighLight('.$id.',0) onClick="Attach('.$id.')" id="span_'.$id.'" title="'.$arSection['NAME'].'">'.$arSection['NAME'].'</span>
		<img onClick="funcNew('.$id.')" src="'.$templateFolder.'/images/new.gif" style="vertical-align:middle">'.
		($id > 0
		?
		'<img onClick="funcEdit('.$id.')" src="'.$templateFolder.'/images/edit.gif" style="vertical-align:middle"><img onClick="funcDelete('.$id.')" src="'.$templateFolder.'/images/delete.gif" style="vertical-align:middle">'
		: '' );

	if ($arParams['SHOW_ELEMENTS'])
	{
		echo "\n".'<div id="div_elements_'.$id.'">';
		foreach($arResult['ELEMENTS'][$id] as $f)
		{
			//echo '<div style="cursor:move" onClick="Attach('.$f['ID'].',1)" class="element" id="elem_'.$f['ID'].'">'.$f['NAME'].'</div>'; 
			$link = 'javascript:(new BX.CAdminDialog( {\'content_url\':\'/bitrix/admin/iblock_element_edit.php?bxpublic=Y&type='.$arParams['IBLOCK_TYPE'].'&lang='.LANGUAGE_ID.'&IBLOCK_ID='.$arParams['IBLOCK_ID'].'&from_module=iblock&ID='.$f['ID'].'\', \'width\':\'800\', \'height\':\'700\' })).Show()';
			echo '<div class="element"><span style="color:#CCC">'.$f['ID'].'</span> <a href="'.$link.'">'.$f['NAME'].'</a></div>'; 
		}
		echo '</div>';
	}
}
echo str_repeat("</div>", $arSection["DEPTH_LEVEL"]);
?>
</td></tr></table>
